/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_putnbrhex.c                                     :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: erey-bet <marvin@42.fr>                    +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2022/10/14 23:24:36 by erey-bet          #+#    #+#             */
/*   Updated: 2022/10/15 22:20:19 by erey-bet         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "ft_printf.h"

int	ft_putnbrhex(int v)
{
	int	tmp;
	int	count;

	if (v == 0)
		ft_putchar('0');
	count = 0;
	if (v < 0)
	{
		write(1, "-", 1);
		v *= -1;
		count++;
	}
	tmp = 0;
	while (v > 0)
	{
		tmp = v % 16;
		if (tmp < 10)
			ft_putchar(tmp + 48);
		else
			ft_putchar(tmp + 87);
		v = v / 16;
		count++;
	}
	return (count);
}
