/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_printf.h                                        :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: erey-bet <marvin@42.fr>                    +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2022/09/26 16:31:10 by erey-bet          #+#    #+#             */
/*   Updated: 2022/10/15 23:16:11 by erey-bet         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#ifndef FT_PRINTF_H
# define FT_PRINTF_H

# include <stddef.h>
# include <stdlib.h>
# include <unistd.h>

void	ft_putchar(char c);
int		ft_putstr(char *s);
char	*ft_itoa(int n);
int		ft_power(int nb, int power);
int		ft_get_size(long n);
int		ft_putnbr(int n);
int		ft_putunbr(unsigned int n);
int		ft_putnbrhex(int v);
int		ft_putnbrhex_upper(int v);
int		ft_putvd(void *v);

#endif
